## sniffles 0.0.1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(Sniffles)

set( NGM_VERSION_MAJOR 0 )
set( NGM_VERSION_MINOR 1 )
IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "Building in debug mode!")
    set( NGM_VERSION_BUILD 0-debug )
else()
	set( NGM_VERSION_BUILD 0 )
ENDIF()


set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin/sniffles-${NGM_VERSION_MAJOR}.${NGM_VERSION_MINOR}.${NGM_VERSION_BUILD}/)
file(MAKE_DIRECTORY ${EXECUTABLE_OUTPUT_PATH})


# Set a default build type for single-configuration
# CMake generators if no build type is set.
IF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
	message(STATUS "No build type specified. Using 'release'")
	SET(CMAKE_BUILD_TYPE Release)
ENDIF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)

FIND_PACKAGE(OpenMP REQUIRED)
if(OPENMP_FOUND)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif()


add_subdirectory(lib/zlib-1.2.7)
add_subdirectory(lib/bamtools-2.3.0)

add_subdirectory(src)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(Sniffles)

include_directories (../lib/bamtools-2.3.0/src)
include_directories(../lib/tclap-1.2.1/include)

configure_file( Version.h.in ${CMAKE_SOURCE_DIR}/src/Version.h )

add_executable(sniffles 	
					Alignment.cpp
					BamParser.cpp
					Parser.cpp
					Sniffles.cpp
					Ignore_Regions.cpp
					tree/Intervall_bed.cpp
					sub/Detect_Breakpoints.cpp
					sub/Breakpoint.cpp
					tree/IntervallTree.cpp
					realign/SWCPU.cpp
					realign/Realign.cpp
					print/VCFPrinter.cpp
					print/BedePrinter.cpp
					print/MariaPrinter.cpp
					print/IPrinter.cpp
					phasing/PhaserSV.cpp
					tree/BinTree.cpp
					print/NGMPrinter.cpp
					)										
					
#target_link_libraries(ngm-core pthread)	
TARGET_LINK_LIBRARIES(sniffles BamTools-static)
TARGET_LINK_LIBRARIES(sniffles zlibstatic)
	
add_executable(sniffles-debug 	
					Alignment.cpp
					BamParser.cpp
					Parser.cpp
					Sniffles.cpp
					Ignore_Regions.cpp
					tree/Intervall_bed.cpp
					sub/Detect_Breakpoints.cpp
					sub/Breakpoint.cpp
					tree/IntervallTree.cpp
					realign/SWCPU.cpp
					realign/Realign.cpp
					print/VCFPrinter.cpp
					print/BedePrinter.cpp
					print/MariaPrinter.cpp
					print/IPrinter.cpp
					phasing/PhaserSV.cpp
					tree/BinTree.cpp
					print/NGMPrinter.cpp
					)	

SET_TARGET_PROPERTIES(sniffles-debug PROPERTIES COMPILE_FLAGS "-g3 -O0")

#target_link_libraries(sniffles-debug pthread)
TARGET_LINK_LIBRARIES(sniffles-debug BamTools-static)
TARGET_LINK_LIBRARIES(sniffles-debug zlibstatic)

=== debian/changelog ===
sniffles (0.0.1+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sat, 25 Jun 2016 18:23:55 -0700

sniffles (0.0.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #827638)

 -- Afif Elghraoui <afif@debian.org>  Sat, 18 Jun 2016 13:38:07 -0700

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

INCLUDE_PATHS = /usr/include/bamtools

space=
space+=

%:
	dh $@ --parallel


override_dh_auto_build: debian/sniffles.1
	dh_auto_build

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_INCLUDE_PATH="$(subst $(space),:,$(strip $(INCLUDE_PATHS)))"

override_dh_auto_clean:
	dh_auto_clean
	$(RM) debian/sniffles.1

%.1: %.1.md
	pandoc --from markdown --to man -s $< -o $@

## sniffles 1.0.0+ds

=== debian/changelog ===
sniffles (1.0.0+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 23 Oct 2016 23:41:15 -0700

sniffles (1.0.0+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0+ds
  * Update patches
  * Update "clean" target
  * Update manpage

 -- Afif Elghraoui <afif@debian.org>  Mon, 17 Oct 2016 01:39:00 -0700

## sniffles 1.0.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 2.8)
 project(Sniffles)
 
-set( NGM_VERSION_MAJOR 0 )
-set( NGM_VERSION_MINOR 1 )
+set( SNIF_VERSION_MAJOR 1 )
+set( SNIF_VERSION_MINOR 0 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( NGM_VERSION_BUILD 0-debug )
+    set( SNIF_VERSION_BUILD 0-debug )
 else()
-	set( NGM_VERSION_BUILD 0 )
+	set( SNIF_VERSION_BUILD 0 )
 ENDIF()
 
 
-set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin/sniffles-${NGM_VERSION_MAJOR}.${NGM_VERSION_MINOR}.${NGM_VERSION_BUILD}/)
+set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin/sniffles-core-${SNIF_VERSION_MAJOR}.${SNIF_VERSION_MINOR}.${SNIF_VERSION_BUILD}/)
 file(MAKE_DIRECTORY ${EXECUTABLE_OUTPUT_PATH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,10 @@
 configure_file( Version.h.in ${CMAKE_SOURCE_DIR}/src/Version.h )
 
 add_executable(sniffles 	
+                    tree/Breakpoint_Tree.cpp
+                    Genotyper/Genotyper.cpp
 					Alignment.cpp
 					BamParser.cpp
-					Parser.cpp
 					Sniffles.cpp
 					Ignore_Regions.cpp
 					tree/Intervall_bed.cpp
@@ -19,12 +20,12 @@
 					realign/SWCPU.cpp
 					realign/Realign.cpp
 					print/VCFPrinter.cpp
-					print/BedePrinter.cpp
-					print/MariaPrinter.cpp
+					print/BedpePrinter.cpp
 					print/IPrinter.cpp
-					phasing/PhaserSV.cpp
 					tree/BinTree.cpp
 					print/NGMPrinter.cpp
+					plane-sweep/PlaneSweep_slim.cpp
+					cluster/Cluster_SVs.cpp
 					)										
 					
 #target_link_libraries(ngm-core pthread)	
@@ -32,9 +33,10 @@
 TARGET_LINK_LIBRARIES(sniffles zlibstatic)
 	
 add_executable(sniffles-debug 	
+                    tree/Breakpoint_Tree.cpp
+                    Genotyper/Genotyper.cpp
 					Alignment.cpp
 					BamParser.cpp
-					Parser.cpp
 					Sniffles.cpp
 					Ignore_Regions.cpp
 					tree/Intervall_bed.cpp
@@ -44,12 +46,12 @@
 					realign/SWCPU.cpp
 					realign/Realign.cpp
 					print/VCFPrinter.cpp
-					print/BedePrinter.cpp
-					print/MariaPrinter.cpp
+					print/BedpePrinter.cpp
 					print/IPrinter.cpp
-					phasing/PhaserSV.cpp
 					tree/BinTree.cpp
 					print/NGMPrinter.cpp
+					plane-sweep/PlaneSweep_slim.cpp
+					cluster/Cluster_SVs.cpp
 					)	
 
 SET_TARGET_PROPERTIES(sniffles-debug PROPERTIES COMPILE_FLAGS "-g3 -O0")

=== debian/changelog ===
sniffles (1.0.1+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 30 Oct 2016 15:00:31 -0700

sniffles (1.0.1+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1+ds

 -- Afif Elghraoui <afif@debian.org>  Mon, 24 Oct 2016 23:07:31 -0700

=== debian/control ===
Source: sniffles
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>=9),
	cmake (>=2.8),
	libbamtools-dev,
	libtclap-dev,
	zlib1g-dev,
	pandoc,
Standards-Version: 3.9.8
Homepage: http://fritzsedlazeck.github.io/Sniffles
Vcs-Git: https://anonscm.debian.org/git/debian-med/sniffles.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sniffles.git

Package: sniffles
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
Suggests:
	bwa,
Description: structural variation caller using third-generation sequencing
 Sniffles is a structural variation caller using third-generation sequencing
 data such as those from Pacific Biosciences or Oxford Nanopore platforms.
 It detects all types of SVs using evidence from split-read alignments,
 high-mismatch regions, and coverage analysis.

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,8 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	find -name "*.mk" -delete
+	$(RM) makefile
 	$(RM) debian/sniffles.1
 
 %.1: %.1.md

## sniffles 1.0.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 set( SNIF_VERSION_MINOR 0 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( SNIF_VERSION_BUILD 0-debug )
+    set( SNIF_VERSION_BUILD 2-debug )
 else()
-	set( SNIF_VERSION_BUILD 0 )
+	set( SNIF_VERSION_BUILD 2 )
 ENDIF()

=== debian/changelog ===
sniffles (1.0.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Apply changes of `cme fix dpkg-control` manually to not conflict with
    Uploaders formatting preferences
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 15:11:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: sniffles
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
-	debhelper (>=9),
-	cmake (>=2.8),
+	debhelper (>= 10),
+	cmake,
 	libbamtools-dev,
 	libtclap-dev,
 	zlib1g-dev,
 	pandoc,
 Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sniffles.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/sniffles.git
 Homepage: http://fritzsedlazeck.github.io/Sniffles
-Vcs-Git: https://anonscm.debian.org/git/debian-med/sniffles.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sniffles.git
 
 Package: sniffles
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE = 1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 INCLUDE_PATHS = /usr/include/bamtools
 
@@ -8,7 +10,7 @@
 space+=
 
 %:
-	dh $@ --parallel
+	dh $@
 
 
 override_dh_auto_build: debian/sniffles.1

=== debian/watch ===
version=4

opts="repack,repacksuffix=+ds,dversionmangle=s/\+ds\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sniffles-$1.tar.gz%" \
   https://github.com/fritzsedlazeck/sniffles/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sniffles 1.0.6+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 2.8)
 project(Sniffles)
 
-set( SNIF_VERSION_MAJOR 1 )
-set( SNIF_VERSION_MINOR 0 )
+ set( SNIF_VERSION_MAJOR 1 )
+ set( SNIF_VERSION_MINOR 0 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( SNIF_VERSION_BUILD 2-debug )
+    set( SNIF_VERSION_BUILD 6-debug )
 else()
-	set( SNIF_VERSION_BUILD 2 )
+	set( SNIF_VERSION_BUILD 6 )
 ENDIF()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 					sub/Detect_Breakpoints.cpp
 					sub/Breakpoint.cpp
 					tree/IntervallTree.cpp
+					tree/IntervallList.cpp
 					realign/SWCPU.cpp
 					realign/Realign.cpp
 					print/VCFPrinter.cpp
@@ -40,6 +41,7 @@
 					Sniffles.cpp
 					Ignore_Regions.cpp
 					tree/Intervall_bed.cpp
+					tree/IntervallList.cpp
 					sub/Detect_Breakpoints.cpp
 					sub/Breakpoint.cpp
 					tree/IntervallTree.cpp

=== debian/changelog ===
sniffles (1.0.6+ds-1) unstable; urgency=medium

  * New upstream version
  * Install upstream README
  * d/watch: remove unnecessary script invocations
  * Add d/upstream/metadata with preprint reference
  * Bump Standards-Version to 4.1.1
  * Add support for the nodoc build profile

 -- Afif Elghraoui <afif@debian.org>  Fri, 10 Nov 2017 01:34:05 -0500

## sniffles 1.0.7%2Bds

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,6 @@
 %:
 	dh $@
 
-
-override_dh_auto_build: debian/sniffles.1
-	dh_auto_build
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DCMAKE_INCLUDE_PATH="$(subst $(space),:,$(strip $(INCLUDE_PATHS)))"
@@ -26,5 +22,11 @@
 	$(RM) makefile
 	$(RM) debian/sniffles.1
 
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+build: debian/sniffles.1
+else
+override_dh_installman: ;
+endif
+
 %.1: %.1.md
 	pandoc --from markdown --to man -s $< -o $@

## sniffles 1.0.7+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
  set( SNIF_VERSION_MINOR 0 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( SNIF_VERSION_BUILD 6-debug )
+    set( SNIF_VERSION_BUILD 7-debug )
 else()
-	set( SNIF_VERSION_BUILD 6 )
+	set( SNIF_VERSION_BUILD 7 )
 ENDIF()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,8 @@
 					print/NGMPrinter.cpp
 					plane-sweep/PlaneSweep_slim.cpp
 					cluster/Cluster_SVs.cpp
+					force_calling/Force_calling.cpp
+					force_calling/VCF_parser.cpp
 					)										
 					
 #target_link_libraries(ngm-core pthread)	
@@ -54,6 +56,8 @@
 					print/NGMPrinter.cpp
 					plane-sweep/PlaneSweep_slim.cpp
 					cluster/Cluster_SVs.cpp
+					force_calling/Force_calling.cpp
+					force_calling/VCF_parser.cpp
 					)	
 
 SET_TARGET_PROPERTIES(sniffles-debug PROPERTIES COMPILE_FLAGS "-g3 -O0")

=== debian/changelog ===
sniffles (1.0.7+ds-1) unstable; urgency=medium

  * New upstream version
  * Update/refresh patches

 -- Afif Elghraoui <afif@debian.org>  Thu, 23 Nov 2017 01:36:25 -0500

## sniffles 1.0.8+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
 cmake_minimum_required(VERSION 2.8)
 project(Sniffles)
+
+option(STATIC "Build static binary" OFF)
 
  set( SNIF_VERSION_MAJOR 1 )
  set( SNIF_VERSION_MINOR 0 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( SNIF_VERSION_BUILD 7-debug )
+    set( SNIF_VERSION_BUILD 8-debug )
 else()
-	set( SNIF_VERSION_BUILD 7 )
+	set( SNIF_VERSION_BUILD 8 )
 ENDIF()

=== debian/changelog ===
sniffles (1.0.8+ds-2) unstable; urgency=low

  * Use dh_installman rather than debian/manpages (Closes: #903192)

 -- Afif Elghraoui <afif@debian.org>  Sun, 08 Jul 2018 00:49:22 -0400

sniffles (1.0.8+ds-1) unstable; urgency=medium

  * New upstream version
  * Run tests
  * Refresh patches

 -- Afif Elghraoui <afif@debian.org>  Sat, 24 Mar 2018 16:20:10 -0400

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 	libbamtools-dev,
 	libtclap-dev,
 	zlib1g-dev,
-	pandoc,
-Standards-Version: 3.9.8
+	pandoc <!nodoc>,
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sniffles.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/sniffles.git
 Homepage: http://fritzsedlazeck.github.io/Sniffles

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,17 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	find -name "*.mk" -delete
-	$(RM) makefile
-	$(RM) debian/sniffles.1
+	$(RM) \
+	  makefile \
+	  debian/sniffles.1 \
+	  test.vcf \
+
+override_dh_auto_test:
+	bin/sniffles-*/sniffles -m test_set/reads_region.bam -v test.vcf
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-build: debian/sniffles.1
+override_dh_installman: debian/sniffles.1
+	dh_installman $^
 else
 override_dh_installman: ;
 endif

## sniffles 1.0.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
  set( SNIF_VERSION_MINOR 0 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( SNIF_VERSION_BUILD 8-debug )
+    set( SNIF_VERSION_BUILD 10-debug )
 else()
-	set( SNIF_VERSION_BUILD 8 )
+	set( SNIF_VERSION_BUILD 10 )
 ENDIF()

=== debian/changelog ===
sniffles (1.0.10+ds-1) unstable; urgency=low

  * Team upload.

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Mon, 15 Oct 2018 19:10:58 +0200

=== debian/control ===
Source: sniffles
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends:
	debhelper (>= 10),
	cmake,
	libbamtools-dev,
	libtclap-dev,
	zlib1g-dev,
	pandoc <!nodoc>,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/sniffles
Vcs-Git: https://salsa.debian.org/med-team/sniffles.git
Homepage: http://fritzsedlazeck.github.io/Sniffles

Package: sniffles
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
Suggests:
	bwa,
Description: structural variation caller using third-generation sequencing
 Sniffles is a structural variation (SV) caller using third-generation
 sequencing data such as those from Pacific Biosciences or Oxford
 Nanopore platforms.  It detects all types of SVs using evidence from
 split-read alignments, high-mismatch regions, and coverage analysis.

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	find -name "*.mk" -delete
+	rm -rf bin
 	$(RM) \
 	  makefile \
 	  debian/sniffles.1 \

## sniffles 1.0.11+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
  set( SNIF_VERSION_MINOR 0 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( SNIF_VERSION_BUILD 10-debug )
+    set( SNIF_VERSION_BUILD 11-debug )
 else()
-	set( SNIF_VERSION_BUILD 10 )
+	set( SNIF_VERSION_BUILD 11 )
 ENDIF()

=== debian/changelog ===
sniffles (1.0.11+ds-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:52 +0100

sniffles (1.0.11+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Fri, 01 Feb 2019 15:29:10 +0100

=== debian/control ===
Source: sniffles
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               cmake,
               libbamtools-dev,
               libtclap-dev,
               zlib1g-dev,
               pandoc <!nodoc>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/sniffles
Vcs-Git: https://salsa.debian.org/med-team/sniffles.git
Homepage: http://fritzsedlazeck.github.io/Sniffles

Package: sniffles
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: bwa
Description: structural variation caller using third-generation sequencing
 Sniffles is a structural variation (SV) caller using third-generation
 sequencing data such as those from Pacific Biosciences or Oxford
 Nanopore platforms.  It detects all types of SVs using evidence from
 split-read alignments, high-mismatch regions, and coverage analysis.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,9 @@
 	  test.vcf \
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	bin/sniffles-*/sniffles -m test_set/reads_region.bam -v test.vcf
+endif
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 override_dh_installman: debian/sniffles.1

=== debian/tests/control ===
Test-Command:
	sniffles -m test_set/reads_region.bam -v ${AUTOPKGTEST_TMP}/test.vcf;

=== debian/watch ===
version=4

opts="repack,repacksuffix=+ds,dversionmangle=s/\+ds\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sniffles-$1.tar.gz%" \
   https://github.com/fritzsedlazeck/sniffles/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sniffles 1.0.12b%2Bds

=== debian/changelog ===
sniffles (1.0.12b+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed d/watch to also accept a-z updates

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Sep 2020 20:48:13 +0200

sniffles (1.0.11+ds-2) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Remove myself from Uploaders

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Steffen Möller ]
  * Update metadata with ref to conda
  * Update metadata / added ref to bio.tools

  [ Pranav Ballaney ]
  * Fix INCLUDE_PATHS. Closes: #963299.
  * Add to Uploaders
  * Install examples and docs

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Fri, 03 Jul 2020 06:02:36 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: sniffles
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Pranav Ballaney <ballaneypranav@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libbamtools-dev,
                libtclap-dev,
                zlib1g-dev,
                pandoc <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/sniffles
 Vcs-Git: https://salsa.debian.org/med-team/sniffles.git
 Homepage: http://fritzsedlazeck.github.io/Sniffles
+Rules-Requires-Root: no
 
 Package: sniffles
 Architecture: any

=== debian/watch ===
version=4

opts="repack,repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v(\d[\d.]*[a-z]?)\.tar\.gz%sniffles-$1.tar.gz%" \
   https://github.com/fritzsedlazeck/Sniffles/tags (?:.*?/)?v(\d[\d.]*[a-z]?)\.tar\.gz

## sniffles 1.0.12b+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
  set( SNIF_VERSION_MINOR 0 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( SNIF_VERSION_BUILD 11-debug )
+    set( SNIF_VERSION_BUILD 12-debug )
 else()
-	set( SNIF_VERSION_BUILD 11 )
+	set( SNIF_VERSION_BUILD 12 )
 ENDIF()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,20 @@
 cmake_minimum_required(VERSION 2.8)
 project(Sniffles)
+
 
 include_directories (../lib/bamtools-2.3.0/src)
 include_directories(../lib/tclap-1.2.1/include)
 
 configure_file( Version.h.in ${CMAKE_SOURCE_DIR}/src/Version.h )
+
+
+
+ IF(STATIC)
+        SET(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
+        SET(BUILD_SHARED_LIBRARIES OFF)
+        SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
+ENDIF()
+
 
 add_executable(sniffles 	
                     tree/Breakpoint_Tree.cpp

=== debian/rules ===
--- 
+++ 
@@ -4,17 +4,14 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-INCLUDE_PATHS = /usr/include/bamtools
-
-space=
-space+=
+INCLUDE_PATHS=/usr/include/bamtools
 
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-DCMAKE_INCLUDE_PATH="$(subst $(space),:,$(strip $(INCLUDE_PATHS)))"
+	-DCMAKE_INCLUDE_PATH="${INCLUDE_PATHS}"
 
 override_dh_auto_clean:
 	dh_auto_clean

## sniffles 2.0.2

=== debian/changelog ===
sniffles (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Switch to new build system
  * Currently no testing since no data are provided any more
  * Use help2man to create manpage
  * Fix homepage
  * Rewrite autopkgtest.  Wanted: Better testing than this simple one.

 -- Andreas Tille <tille@debian.org>  Fri, 18 Feb 2022 09:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libbamtools-dev,
-               libtclap-dev,
-               zlib1g-dev,
-               pandoc <!nodoc>
-Standards-Version: 4.5.0
+               dh-python,
+               python3,
+               python3-pep517,
+               pybuild-plugin-pyproject,
+               python3-setuptools,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/sniffles
 Vcs-Git: https://salsa.debian.org/med-team/sniffles.git
-Homepage: http://fritzsedlazeck.github.io/Sniffles
+Homepage: https://github.com/fritzsedlazeck/Sniffles
 Rules-Requires-Root: no
 
 Package: sniffles
-Architecture: any
-Depends: ${shlibs:Depends},
+Architecture: all
+Depends: ${python3:Depends},
          ${misc:Depends}
 Suggests: bwa
 Description: structural variation caller using third-generation sequencing

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem pybuild

#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	python3 build/scripts-`py3versions -vd`/sniffles -m test_set/reads_region.bam -v test.vcf
#endif

## sniffles 2.0.3

=== debian/changelog ===
sniffles (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Möller <moeller@debian.org>  Sat, 09 Apr 2022 13:41:24 +0200

## sniffles 2.0.7

=== debian/changelog ===
sniffles (2.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jul 2022 12:20:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pep517,
                pybuild-plugin-pyproject,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/sniffles
 Vcs-Git: https://salsa.debian.org/med-team/sniffles.git
 Homepage: https://github.com/fritzsedlazeck/Sniffles

## sniffles 2.2

=== debian/changelog ===
sniffles (2.2-1) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * New upstream version
  * d/control: Update standards version to 4.6.2
  * d/copyright: Update to 2023
  * d/sniffles.1: Fix typo

  [ Andreas Tille ]
  * Do not Build-Depend python3-pep517
    Closes: #1042869
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Aug 2023 07:36:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-pep517,
                pybuild-plugin-pyproject,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/sniffles
 Vcs-Git: https://salsa.debian.org/med-team/sniffles.git
 Homepage: https://github.com/fritzsedlazeck/Sniffles

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 #ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 #	python3 build/scripts-`py3versions -vd`/sniffles -m test_set/reads_region.bam -v test.vcf
 #endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf src/sniffles.egg-info

## sniffles 2.6.0

=== debian/changelog ===
sniffles (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 15 Feb 2025 23:04:11 +0100

sniffles (2.2-2) unstable; urgency=medium

  * Team upload.
  * Do not Build-Depend python3-pep517
    Closes: #1042869
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Aug 2023 07:36:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                pybuild-plugin-pyproject,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/sniffles
 Vcs-Git: https://salsa.debian.org/med-team/sniffles.git
 Homepage: https://github.com/fritzsedlazeck/Sniffles

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 #override_dh_auto_test:
 #ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
